import 'package:Capsule/components/custom_title_bar.dart';
import 'package:Capsule/models/image_message.dart';
import 'package:flutter/material.dart';

class ViewImage extends StatelessWidget {
  const ViewImage({
    Key? key,
    required this.message,
  }) : super(key: key);

  final ImageMessage message;

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: Colors.black,
      appBar: const CustomTitleBar(
        title: Text(''),
        showBack: true,
        backgroundColor: Colors.black,
      ),
      body: Center(
        child: InteractiveViewer(
          panEnabled: false,
          minScale: 1,
          maxScale: 4,
          child: Image.file(
            message.file,
          ),
        )
      ),
    );
  }
}

